(define-module (nongnu packages stremio)
  #:use-module (guix packages)
  #:use-module (gnu packages)
  #:use-module (gnu packages qt)
  #:use-module (gnu packages gcc)
  #:use-module (gnu packages cmake)
  #:use-module (gnu packages node)
  #:use-module (gnu packages openssl)
  #:use-module (nonguix build-system binary)
  #:use-module ((guix licenses) #:prefix license:))

(define-public stremio
  (package
    (name "stremio")
    (version "4.4.25")
    (source 
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/Stremio/stremio-shell.git")
               (commit version)))
        (file-name (git-file-name name version))
        (sha256
         (base32
          "0hqqanqwcdh06f0bw3qlki8xj0xfggiajah8ym5al6n8q58vvj6a"))
        (modules '((guix build utils)))
        (snippet
         '(begin
            #t))))
    (build-system gnu-build-system)
    (arguments
     `(#:make-flags (list "release.makefile")
       #:tests? #f
       #:phases
       (modify-phases %standard-phases
         (replace 'configure
           (lambda _
             (invoke "qmake")
             ))
         (replace 'install
           (lambda* (#:key outputs #:allow-other-keys)
             (let ((out (assoc-ref outputs "out")))
               (copy-recursively "./build" (string-append out "/share/stremio"))
               (symlink (string-append out "/share/stremio/stremio")
                        (string-append out "/bin/stremio"))
               #t))))))
    (inputs
     `(("node" ,node)
       ("qtbase" ,qtbase)
       ("qtdeclarative" ,qtdeclarative)
       ("qttools" ,qttools)
       ("gcc" ,gcc)
       ("cmake" ,cmake)))
    (native-inputs
     `(("openssl" ,openssl)))
    (home-page "https://www.stremio.com")
    (synopsis "The next generation media center")
    (description "Stremio is a video streaming application, that allows you to
watch and organize video content from different services, including movies,
series, live TV and video channels.")
    (license license:agpl3+)))
